<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

abstract class Controller extends BaseController {

    use AuthorizesRequests,
        DispatchesJobs,
        ValidatesRequests;

    /**
     * 统一接口返回json格式
     * @param $data
     * @param int $errorNo
     * @return array
     */
    public static function returnValue($data, $errorNo = 0) {
        return [
            "rst" => $data,
            "errno" => $errorNo . '',
            "timestamp" => intval(microtime(true)) . '',
            "auno" => '0'
        ];
    }

}
